Instalar Compiz Git 0.7.5 en Ubuntu 8.04 Hardy Heron

La mayoria de vosotros ya conoceis Compiz, y los efectos que trae, como la rotacion del cubo.
Sin embargo, si quereis tener los ultimos plugins, como pueden ser el Expo curvado, o el cubo
cilindrico tendreis que instalar la version Compiz GIT del mismo.
La diferencia es que Compiz es la version estable que viene incluida en los repositorios y
Compiz-Git es la version de desarrollo de Compiz, la que tiene los ultimos plugins, que aun no
han sido incluidos en la version estable, pero claro, como toda version de desarrollo, puede ser
inestable, asi que su instalacion no se aconseja a menos que tengais experiencia en el sistema
y podrais hacer frente a algun posible problema, como puede ser, quedarnos sin las X (la interfaz
grafica
).
Si de todas formas, quereis instalar la version GIT en Hardy Heron, existe un pequeño script
llamado GIT_COMPIZ y que construye la version git de lo siguiente:

-Compiz
-Compizconfig Settings Manager
-Compizconfig backend
-Compiz configuration system library
-Emerald & Themes
-Fusion translations
-Compiz option code generator
-Fusion-Icon
-Main/Extra/Unsupported/Others Plugins


Suena interesante, ¿no?

En el siguiente foro
http://forum.compiz-fusion.org/showthread.php?t=7744
comentan como instalarlo.

Necesitamos tener instaladas las siguientes dependencias:

DEPENDENCIES:
build-essential libxcomposite-dev libpng12-dev libsm-dev libxrandr-dev libxdamage-dev libxinerama-dev
libstartup-notification0-dev libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev libmetacity-dev librsvg2-dev
libdbus-1-dev libdbus-glib-1-dev libgnome-desktop-dev libgnome-window-settings-dev gitweb curl autoconf
automake automake1.9 libtool intltool libxslt1-dev xsltproc libwnck-dev python-dev libX11-xcb-dev
pyrex-mode python-pyrex x11proto-scrnsaver-dev libxss-dev

Asi que podemos usar Synaptic o ejecutar:

$ sudo apt-get install build-essential libxcomposite-dev libpng12-dev libsm-dev libxrandr-dev libxdamage-dev libxinerama-dev
libstartup-notification0-dev libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev libmetacity-dev librsvg2-dev
libdbus-1-dev libdbus-glib-1-dev libgnome-desktop-dev libgnome-window-settings-dev gitweb curl autoconf
automake automake1.9 libtool intltool libxslt1-dev xsltproc libwnck-dev python-dev libX11-xcb-dev
pyrex-mode python-pyrex x11proto-scrnsaver-dev libxss-dev

Tambien comentan lo siguiente:

HOWTO:
remove “compiz* libcompiz* libdecoration0 compizconfig-settings-manager python-compizconfig emerald” from
your distro

Es decir que eliminemos esos paquetes de nuestra distribucion, asi que volvemos a usar Synaptic buscando los nombres de esos
paquetes y los desinstalamos o podemos ejecutar:

$ sudo apt-get autoremove --purge

Ejemplo:

$ sudo apt-get autoremove emerald --purge

con cada uno de los paquetes que queramos ir eliminando.

Despues tenemos que usar git para bajarnos el codigo fuente del script:

$ git clone git://anongit.compiz-fusion.org/users/omega/scripts

si no tienes git instalado ejecuta:

$ apt-get install git

Una vez descargado el script, nos cambiamos al directorio y ejecutamos:

cd scripts; sudo ./git-compiz

Y con eso, una cerveza, y tras reiniciar deberiamos tener instalado Compiz Git en nuestra maquina.

NOTA IMPORTANTE: No hagas esto, si eres nuevo o si el Compiz normal no te funciona correctamente,
seguramente te estropearia las cosas aun mas.
No me hago responsable si os falla algo, estas cosas, cuando se tocan cosas tan sensibles como
Compiz, pueden pasar y no es culpa de quien escribe, si no del hardware de tu maquina, que evidentemente
cada uno tiene el suyo.

Por mi parte no he podido probarlo, quiero hacer una instalacion limpia de Hardy, pero en cuanto
lo tenga, lo probare y actualizare este contenido.

Visto en | Axelbuntu

45 Responses to “Instalar Compiz Git 0.7.5 en Ubuntu 8.04 Hardy Heron”


  1. 1 dicren abril 26, 2008 en 11:26 am

    Despues de hacerlo todo yo me e quedado sin compiz :P Me crea un lanzador a fusion-icon en el escritorio pero no exisite el programa al que llama…

  2. 2 dicren abril 26, 2008 en 11:51 am

    Vale, ya esta, volvi a ejecutar el git-compiz y se instalo (antes no se que pasaria, porque no tardo nada :P)

    Lo que pasa que ahora tengo dos pequeños problemas.

    Cuando arranca no me arranca con compiz, sino con el normal de Gnome, tengo que abrir el compiz-icon y cambiar las opciones
    Y luego en el ccsm no salen dibujitos en cada plugin :( asi no hay quien se aclare xD

    Bueno… mientras vamos a ir probando los plugins nuevos :) Muchas gracias por el manual, si puedes ayudarme a resolver esos dos pequeños problemitas… estaria encantado jeje

  3. 3 aabilio abril 26, 2008 en 2:41 pm

    No os recomiendo instalar la última versión de Compiz-fusion si tenéis una X3100 ya que no van nada bien, el renderizado es malo y el sistema se vuelve muy lento.
    Sigo siempre las últimas de compiz no desde git si no desde el repo de Debian Sid y esta última resultó ser un desastres…
    Saludos!

  4. 4 dicren abril 26, 2008 en 3:15 pm

    yo tengo una x700 y si es verdad que va mucho mas lento todo, pero bueno… lo mas divertido de esto es enredar y probar cosas jejeje Por ahora es soportable, solo e visto algun problema cuando me muevo un pooco despues de haber dejado el pc encendido sin tocarlo, esta como frio :P

  5. 5 Anonimouse abril 26, 2008 en 3:20 pm

    Del “awn” se sabe algo? parece que han quitado los repositorios de la web, quizas vayan a añadir los del hardy

  6. 6 dicren abril 26, 2008 en 3:25 pm

    #5

    Yo tengo estos y me funciona perfectamente el awn

    #AWN
    deb http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main

    deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main

    Suerte

  7. 7 Anonimouse abril 27, 2008 en 8:53 am

    Gracias voy a probarlo!

  8. 8 Eduardo abril 27, 2008 en 9:20 am

    Hola, gracias por el post, pero el efecto de expo de curva y el Tilt, junto con el cubo (eso si el silíndro no) viene en el compiz incluido con Hardy Heron, es más nuev que la última versión que tenía en Gutsy así que prefiero quedarme con este.
    Saludos ñ_ñ.

  9. 9 bernasb abril 27, 2008 en 6:26 pm

    querria probar esta version de desarrollo en una particion nueva de ubuntu, pero cuando e ido a crearla me dice que no puedo crear mas particiones primarias, (tengo una particion para xp,otra como particion compartida dnd gurado las pelis, musica,etc..otra de ubuntu y otra de la swap)como puedo hacer para meter las de ubuntu y la swap en una primaria o para poder crear mas si es que se puede??

  10. 10 Cartu abril 27, 2008 en 9:11 pm

    Hola, yo no he instalado Hardy todavía. Probe un script de otro sitio para instalar Compiz Fusion Git en mi Ubuntu Gutsy y anda casi perfecto, solo no funciona (por el momento) el cilindro. Pero se han instalado los plugins freewins, curva en expo, nieve, y otros 5 o 6 mas.
    Ah! mi placa de video es una X3100 y la verdad funciona muy bien, de hecho, no he tenido ningún problema.
    Saludos!

  11. 11 axelbuntu abril 29, 2008 en 11:15 am

    Hi. I think it’s better if you remove from the code the brackets containing “optional”, because people may get wrong inserting it. There are lots of Newbbies in this world..! ;) PS: Thanks for the link to my blog! I hope I can be usefull again in future ;) see ya!

  12. 12 superpiwi abril 29, 2008 en 12:20 pm

    ok Axelbuntu, it’s true, thanks

  13. 13 Daniel mayo 1, 2008 en 6:30 pm

    como se desinstala el git? no me funciona a mi :s ocupo ayuda :s

  14. 14 superpiwi mayo 1, 2008 en 7:44 pm

    En la carpeta scripts que se te ha creado existe un fichero llamado:

    purge_compiz

    dale permisos de ejecucion:

    $ chmod +x purge_compiz

    y lo ejecutas:

    $ ./purge_compiz

    Con eso ya se te elimina lo instalado.
    Si acaso hubieras añadido algun repositorio extra, editas el fichero /etc/apt/sources.list
    y comentas esa linea.

    Ahora ejecutas de nuevo:

    $ apt-get update

    para que se actualice la informacion de los repositorios.

    Y ya solo te queda instalar el compiz pero el estable, el que tengas en los repositorios de hardy.

    Para instalarlo. O bien usas Synaptic, buscando por la cadena “compiz” y “emerald” e instalando los paquetes que te interesen, o bien desde consola:

    $ apt-get install compizconfig-settings-manager emerald

    una vez instalado, si no ha habido problemas, reinicias y voilá
    ya lo debes de tener.

  15. 15 K@licheX mayo 7, 2008 en 5:14 pm

    Instale el script y no me funciono, asi que lo elimine con el metodo q propones, instalo nuevamente el compiz estable pero me quede sin bordes de ventanas, intento activarlo desde ccsm y no deja. Como puedo solucionar eso?

  16. 16 Mx.terrorist mayo 8, 2008 en 10:34 pm

    “K@licheX”

    Escribe en una consola

    $ metacity –replace

    y ya con eso podras reinstalar todo lo que quieras!

  17. 17 superpiwi mayo 8, 2008 en 10:41 pm

    ojo que son 2 guiones juntos en el replace, – – replace . WordPress al escribir comentarios pone 1 guion cuando son 2.

  18. 18 elitaliano mayo 11, 2008 en 12:34 am

    Hola.
    estoy desesperado porque por mas que lo intento no consigo instalar los repositos.
    Ejecuto el comando:
    sudo apt-get install build-essential libxcomposite-dev libpng12-dev libsm-dev libxrandr-dev libxdamage-dev libxinerama-dev
    libstartup-notification0-dev libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev libmetacity-dev librsvg2-dev
    libdbus-1-dev libdbus-glib-1-dev libgnome-desktop-dev libgnome-window-settings-dev gitweb curl autoconf
    automake automake1.9 libtool intltool libxslt1-dev xsltproc libwnck-dev python-dev libX11-xcb-dev(optional)
    pyrex-mode python-pyrex x11proto-scrnsaver-dev libxss-dev

    y me sale esto en pantalla:

    libcompizconfig0 libdecoration0 compiz-plugins python-compizconfig
    compiz-core libgtkglext1
    Utilice «apt-get autoremove» para eliminarlos.
    0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
    root@elitaliano:~# libstartup-notification0-dev libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev libmetacity-dev librsvg2-dev
    bash: libstartup-notification0-dev: orden no encontrada
    root@elitaliano:~# libdbus-1-dev libdbus-glib-1-dev libgnome-desktop-dev libgnome-window-settings-dev gitweb curl autoconf
    bash: libdbus-1-dev: orden no encontrada
    root@elitaliano:~# automake automake1.9 libtool intltool libxslt1-dev xsltproc libwnck-dev python-dev libX11-xcb-dev(optional)
    bash: error de sintaxis cerca de token no esperado `(‘
    root@elitaliano:~# pyrex-mode python-pyrex x11proto-scrnsaver-dev libxss-dev

    Cuando ejecuto: cd scripts; sudo ./git-compiz
    me sale este otro mensaje:
    >>> G I T – C O M P I Z << No update!
    ______________________________________________

    >> compiz <> bcop <> plugins-main <> plugins-extra <> plugins-unsupported <> libcompizconfig < libcompizconfig’s autogen.sh reports errors. Bailing.
    ______________________________________________

    Failed to build libcompizconfig !
    -> Abort? [Y/n]:
    y naaa..que de ahi no salgo.

    Alguien me puede echar un cable?….no se…decirme como bajar los repositos para poder instalarlos manualmente o no se..

    Un saludo y gracias por adelantado

  19. 19 elitaliano mayo 12, 2008 en 12:05 am

    ….ummmmm me contesto a mi mismo :(
    al final el error “error de sintaxis cerca de token no esperado `(’” se debia a “libX11-xcb-dev(optional)” osea, ay que quitar (optional).
    Siento a ver añadido este mensaje por esta tonteria pero es que llevo solo unos meses con ubuntu y a veces por mucho que busque por internet y demas pues no doy con la solucion a mis problemas.
    Un saludo y viva ubuntu y compiz!

  20. 20 superpiwi mayo 12, 2008 en 6:59 am

    Cierto, cierto.

    el (optional) sobra.

    no lo quite???
    mecachis, juraria que al final deje la linea sin el (optional).
    lo actualizo

  21. 21 oswaldo mayo 16, 2008 en 1:18 pm

    Hola, gracias por el tuto, me quede sin los bordes de las ventanas… tendrá alguna solucion que no sea desinstalar el compiz-git?
    gracias.

  22. 22 superpiwi mayo 16, 2008 en 4:33 pm

    Hola Oswaldo,
    he visto que este problema solia pasar y comentaban 2 posibles soluciones, a ver si te sirve:

    – una de ellas es instalar emerald y libemerald desde Synaptic.

    – la otra es ejecutar fusion-icon, ya sea desde la consola o al iniciar Sesion.

  23. 23 Oswaldo mayo 17, 2008 en 3:03 am

    Hola, gracias superpiwi !!! he corrido todos los efectos con el fusion-icon, pero no logré ajustar los bordes… :-(, en todo caso ya tuve mi experiencia y será esperar que estos efectos esten en la version estable, desinstalare el git. por otra parte descargue scifilifi y me pareció muy vacana, la compartí con mis compañeros…. que buen trabajo, se nota el esfuerzo… adelante.

  24. 24 superpiwi mayo 17, 2008 en 9:28 am

    A mi me dio tambien problemas con los bordes la primera vez, y creo que fue porque tenia instalado el compiz previo y alguna libreria no se actualizo. Por eso decidi borrar todo el rastro previo de Compiz, y volver a instalar el Compiz-GIT. De todas formas es como dices, pronto estara en los repositorios y sera mas estable.

  25. 26 DVD mayo 30, 2008 en 5:10 pm

    Pequenio problema ayuda

    root@dvd-desktop77:~/scripts#
    q ago?

  26. 27 luis junio 3, 2008 en 4:50 pm

    Failed to build compiz. No reason to continue.

  27. 29 sai junio 9, 2008 en 2:59 pm

    woww… pues yo tenía problemas al ejecutar compiz mediante “compiz –replace” (los bordes de las ventanas), y ni con emerald ni sin él, no había forma…. en cambio al utilizar fusion-icon funciona.
    Yo ya me doy con un canto en los dientes pero… por curiosidad, porque de esta forma sí y de la otra no? no tiene mucho sentido O_o”

  28. 30 Walalm junio 14, 2008 en 1:16 pm

    I was having the error of while loading fusion-icon ABIVERSION and that fact, so i dicided to uninstall all, and switch to metacity
    metacity --replace

    after all, i cleaned all my source and updated it.
    and start from the begining, and it worked :D good.

  29. 31 Juan junio 18, 2008 en 5:56 pm

    HOla.. muhas gracias por la info.. ya lo instalé y me funciona bien; pero cómo hago para colocarle un fondo como el que aparece arriba en la página, así como las nubes que tienen en el ejemplo mostrado.. gracias..

  30. 32 amarok37 junio 18, 2008 en 6:13 pm

    33.Juan
    Bueno, primero descargarte los fondos ¿no?
    Aquí hay muchos

    http://www.beryl-themes.org/content/show.php/RMWS2+Cubecaps?content=58051

    Después ve a Compiz-fusion-manager —utilidades y busca Cube caps y clica sobre él.
    En la pestaña—Apariencia— vienen 2 imágenes por defecto…ahí entra tu imaginación y puedes cambiarlas por las descargadas.
    No uso Ubuntu, pero supongo que será igual

  31. 33 Juan junio 18, 2008 en 6:22 pm

    Oh, ya sé cómo se hace lo que pregunté.. así que no se molesten en contestarme:lol:.

    Pero tengo otra pregunta… y es cómo hago para que me aparezca la barra de título de las ventanas??? ya no me aparece esa barra sonde están los botones de cerrar, maximizar y minimizar..

    Gracias…

  32. 34 Gonzalo junio 24, 2008 en 2:19 am

    El plugin de “Show Mouse” se desmarca sólo…! Se activa el mouse position polling, pero el Show Mouse se desactiva… Eso no pasaba en el Compiz-Fusion, alguna idea?

  33. 35 gerardin julio 1, 2008 en 5:02 am

    saludos gente estoy en esto una semana y estoy medio loco, intale el compiz fusion y por mas q activo agunas opciones en su administrador no logro ver el bendito cubo 3d, tengo una tarjeta de video 6600lePCIexpres amd athlon64 intale el ubuntu para este tipo de procesador y nada, porfa una mano, o me falta activar algo.

  34. 36 memo julio 17, 2008 en 7:49 pm

    hola la verdad no tengo internet y quisiera saber si hay alguna forma de instalarlo sin chupar de la majestuosa red

  35. 37 joel agosto 10, 2008 en 12:03 am

    ehh bueno tengo algo de tiempo usando ubuntu pero por algunas razones tuve q desinstalar y volver a instalar ubuntu y esta vez al colocar emerald y colocar un tema q baje ahora las ventanas se mueven muchisimo mas lentas :S
    entoncs escribo para saber si alguien m pues ayudar con este pequeño problema gracias :)

  36. 38 miguel septiembre 5, 2008 en 11:46 pm

    sinceramente a mi no me gusto esta versio de compiz fusion, no fue lo que pensaba, por favor alguien que me diga como desinstalarlo, por que soy usuario y no experto, y no he podido desisntalarlo, gracias

  37. 39 Jorge Illescas septiembre 21, 2008 en 3:46 am

    Buenas jovenes, tengo un problema:

    Estoy usando kubuntu 8.04, pero fijense que ya tenia instalado compiz y encontre en una pagina lo de copiar lo de los scripts con git, pero mi compu se me reinicio por un apagon mientras ejecutaba el ./compiz-git y ahora si trato de volverlo a hacer me tira error. alguien me puede decir como solucionarlo?

    Gracias de antemano

  38. 40 guman octubre 7, 2008 en 12:52 pm

    me lanza error en failed to build…. todos los pluggins desde el main hasta el extra y tambien en los ultimos como el manager ,emerald y los temas de emerald..

  39. 41 GDE noviembre 26, 2008 en 12:00 am

    Excellent, it works very well


  1. 1 Mi escritorio « Ubuntu Life Trackback en abril 28, 2008 en 10:36 pm
  2. 2 Compiz-GIT…envyng Trackback en mayo 30, 2008 en 2:54 pm
  3. 3 Definamos normal…. » Compiz Fusion Git version 0.7.9 en Ubuntu Hardy Trackback en septiembre 25, 2008 en 1:51 am

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s





The next version of Ubuntu is coming soon


¿Es compatible tu equipo con Ubuntu?


( Muchos fondos de pantalla, aqui )

DESCARGATE SCIFI LIFE

365 Dias de Soledad
Me debes los sueños, las promesas y las noches rotas. Me debes la paz, la sonrisa y la esperanza robadas. Me debes la sangre, las lágrimas y el sudor vertido. Me debes las noches vacías, los abrazos anhelados. Me debes un beso de ajenjo de tu amarga boca.

The Ubuntu Counter Project - user number # 11961
Geo Visitors Map
abril 2008
L M X J V S D
« mar   may »
 123456
78910111213
14151617181920
21222324252627
282930  

Blog Stats

  • 26,944,615 hits

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

Únete a otros 1.045 seguidores

A %d blogueros les gusta esto: